<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<itemFormativoEsercizio nomeDescrittivo="Charlieplexing" identificatoreArgomento="Charlieplexing" prerequisiti="diode" tags="Laboratorio di saldatura" fondamentale="false" mdPblproblem="false" mdPblnewlearninggoal="false" versione="1">
    <mdprerequisitelist>Funzionamento dei LED</mdprerequisitelist>
    <mdcomponentlist>LED</mdcomponentlist>
    <mdcomponentlist>Resistori</mdcomponentlist>
    <mdcomponentlist>Saldatore</mdcomponentlist>
    <mdcomponentlist>Filo per ponticelli</mdcomponentlist>
    <mdcomponentlist>Piastra millefori</mdcomponentlist>
    <mdwhy>Dato il numero limitato di GPIO si devono trovare soluzioni per gestire più linee di I/O con meno pin.&#13;
Il Charlieplexing è una soluzione valida per gestire più LED.</mdwhy>
    <mdexpectedresult>Costruire un array di LED charlieplexed</mdexpectedresult>
    <mdextras></mdextras>
    <mderraticbehavior>LED che non si accendono in caso di errori di saldatura o inversione della polarità.</mderraticbehavior>
    <mdcommonerrors>Saldature fredde</mdcommonerrors>
    <mdlessonlearned>Effettuare saldature corrette costruendo qualcosa che si può provare.</mdlessonlearned>
    <mdsolution>https://en.wikipedia.org/wiki/Charlieplexing&#13;
&#13;
Fare attenzione al carico massimo che si può alimentare con i GPIO del microcontrollore, dato il gran numero di LED.</mdsolution>
    <mdpbldetails></mdpbldetails>
</itemFormativoEsercizio>
